## podman-compose 1.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pyyaml
python-dotenv

## podman-compose 1.0.3

=== debian/changelog ===
podman-compose (1.0.3-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Security-Contact.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 01:28:55 +0100

podman-compose (1.0.3-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to make the package migrate to testing.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 17 May 2022 14:09:57 -0400

podman-compose (1.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1010132)

 -- Athos Ribeiro <athoscribeiro@gmail.com>  Sun, 10 Apr 2022 14:08:31 -0300

=== debian/control ===
Source: podman-compose
Section: admin
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Athos Ribeiro <athoscribeiro@gmail.com>
Build-Depends: debhelper-compat (= 13),
	       dh-python,
	       python3-setuptools,
	       python3-all,
	       python3-yaml,
Standards-Version: 4.6.1
Homepage: https://github.com/containers/podman-compose
Vcs-Browser: https://salsa.debian.org/python-team/packages/podman-compose
Vcs-Git: https://salsa.debian.org/python-team/packages/podman-compose.git
Rules-Requires-Root: no

Package: podman-compose
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Recommends: podman
Description: Run docker-compose.yml using podman
 An implementation of docker-compose with podman backend.
 The main objective of this project is to be able to run docker-compose.yml
 unmodified and rootless.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=podman-compose

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# There are only integration tests which need internet conenction. Skip.

## podman-compose 1.0.6

=== debian/changelog ===
podman-compose (1.0.6-1) unstable; urgency=medium

  * New upstream release. (Closes: #1031372)
  * Bump Standards-Version to 4.6.2 (no changes).
  * d/t/build.sh: forward DEP8 test logs from stderr to stdout.
  * d/rules: do not ship the nodeproj example to avoid additional JS
    dependencies.
  * Ship upstream bash-completion script.
  * d/copyright: update copyright years.

 -- Athos Ribeiro <athoscribeiro@gmail.com>  Tue, 13 Jun 2023 16:18:35 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Athos Ribeiro <athoscribeiro@gmail.com>
 Build-Depends: debhelper-compat (= 13),
 	       dh-python,
+	       dh-sequence-bash-completion,
 	       python3-setuptools,
 	       python3-all,
 	       python3-yaml,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/containers/podman-compose
 Vcs-Browser: https://salsa.debian.org/python-team/packages/podman-compose
 Vcs-Git: https://salsa.debian.org/python-team/packages/podman-compose.git

=== debian/tests/control ===
Tests: build.sh
Depends: @, curl, podman, ca-certificates, uidmap, slirp4netns
Restrictions: needs-internet, isolation-machine

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%podman-compose-$1.tar.gz%" \
   https://github.com/containers/podman-compose/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## podman-compose 1.2.0

=== debian/changelog ===
podman-compose (1.2.0-2) unstable; urgency=medium

  * d/tests/build.sh: re-enable test. While this test requires
    isolation-machine, which is not available in the Debian CI infrastructure,
    it is still useful for local autopkgtest runs and it also runs in
    downstream derivative infrastructures (namely, Ubuntu).
  * d/podman-compose.1: update manpage.

 -- Athos Ribeiro <athoscribeiro@gmail.com>  Tue, 20 Aug 2024 09:43:54 -0300

podman-compose (1.2.0-1) unstable; urgency=medium

  * Team upload.

  [Blair Noctis]
  * New upstream release.

  [Yogeswaran Umasankar]
  * d/watch: Update to prevent debchange warnings.
  * d/control: Bumped Standards-Version to 4.7.0.
  * d/tests/build.sh: Disable test -requires testbed capability
    isolation-machine.

 -- Blair Noctis <n@sail.ng>  Sat, 06 Jul 2024 16:31:50 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	       python3-setuptools,
 	       python3-all,
 	       python3-yaml,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/containers/podman-compose
 Vcs-Browser: https://salsa.debian.org/python-team/packages/podman-compose
 Vcs-Git: https://salsa.debian.org/python-team/packages/podman-compose.git

## podman-compose 1.3.0

=== debian/changelog ===
podman-compose (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * d/control:
    - update maintainer email address
    - bump standards version
  * d/copyright: update package copyright data
  * d/podman-compose.1: update maintainer email
  * d/tests: adjust tests for new upstream release

 -- Athos Ribeiro <athos@debian.org>  Mon, 28 Apr 2025 10:16:26 -0300

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Athos Ribeiro <athoscribeiro@gmail.com>
+Uploaders: Athos Ribeiro <athos@debian.org>
 Build-Depends: debhelper-compat (= 13),
 	       dh-python,
 	       dh-sequence-bash-completion,
 	       python3-setuptools,
 	       python3-all,
 	       python3-yaml,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/containers/podman-compose
 Vcs-Browser: https://salsa.debian.org/python-team/packages/podman-compose
 Vcs-Git: https://salsa.debian.org/python-team/packages/podman-compose.git

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,15 @@
 
 override_dh_auto_test:
 	# There are only integration tests which need internet conenction. Skip.
+
+override_dh_installexamples:
+	# Installing the nodeproj example directory causes lintian to throw a few
+	# errors and warnings. Namely, package-contains-eslint-config-file due to
+	# examples/nodeproj/.eslintrc.json, privacy-breach-uses-embedded-file due to
+	# examples/nodeproj/public/index.html (here lintian suggests using
+	# libjs-normalize instead), and package-contains-vcs-control-file due to
+	# examples/nodeproj/.gitignore and examples/nodeproj/.home/.gitignore. While
+	# we could ignore the false positives and/or remove the offending files,
+	# let's just refrain from shipping this particular example and avoid
+	# depending (or recommending/suggesting) on libjs-normalize.
+	dh_installexamples -X nodeproj

## podman-compose 1.5.0

=== debian/changelog ===
podman-compose (1.5.0-1) unstable; urgency=medium

  * d/gbp.conf: add gbp configuration file
  * New upstream version 1.5.0 (Closes: #1112103, #1105202)
  * d/control: B-D on pybuild-plugin-pyproject
  * d/rules: ship a single upstream changelog file
  * d/podman-compose.1: update manpage
  * d/control: drop redundant Rules-Requires-Root

 -- Athos Ribeiro <athos@debian.org>  Thu, 18 Sep 2025 20:04:34 -0300

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Athos Ribeiro <athos@debian.org>
 Build-Depends: debhelper-compat (= 13),
-	       dh-python,
-	       dh-sequence-bash-completion,
-	       python3-setuptools,
-	       python3-all,
-	       python3-yaml,
+               dh-python,
+               dh-sequence-bash-completion,
+               pybuild-plugin-pyproject,
+               python3-setuptools,
+               python3-all,
+               python3-yaml,
 Standards-Version: 4.7.2
 Homepage: https://github.com/containers/podman-compose
 Vcs-Browser: https://salsa.debian.org/python-team/packages/podman-compose
 Vcs-Git: https://salsa.debian.org/python-team/packages/podman-compose.git
-Rules-Requires-Root: no
 
 Package: podman-compose
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -20,3 +20,11 @@
 	# let's just refrain from shipping this particular example and avoid
 	# depending (or recommending/suggesting) on libjs-normalize.
 	dh_installexamples -X nodeproj
+
+execute_before_dh_installdocs:
+	test ! -f docs/changelog
+	for CHANGELOG in $$(ls -r docs/Changelog-*); do \
+		cat $$CHANGELOG >> docs/changelog; \
+		echo >> docs/changelog; \
+	done
+	rm docs/Changelog-*.md

=== debian/tests/control ===
Tests: build.sh
Depends: @, curl, podman, ca-certificates, uidmap, slirp4netns, passt, nftables
Restrictions: needs-internet, isolation-machine

=== debian/watch ===
version=4
https://github.com/containers/podman-compose/tags .*/v(\d\S+)\.tar\.gz
